Subject: g98 for Linux and a new LINDA problem

From: Rolf Trinoga <[email-masked]>
Date: Fri, 17 Jan 2003 15:42:35 +0100

Dear netters:

I have the following problem trying to make G98 run in paralell
with LINDA:

We have built a LINUX Clusters with 40 nodes. I have compiled
G98 Rev A11 with Portland Compiler (V4.02) on Red Hat 8.0  (kernel 2.4.18-14)
and it runs very good.

We purchased Linda and get a tar file: linda62-rh7.tar
After installing linda and mg linda I got several *.exel files in the g98 
directory and a linda-exe directory with links to the *.exel files.

Starting a parallel job with g98l stops with lib not found:
[trinoga@icmaster ~]$ g98l x.com
setenv GAUSS_EXEDIR 
/opt/g98/linda-exe:/opt/g98/bsd:/opt/g98/local:/opt/g98/extras:/opt/g98
g98 x.com
/opt/g98/linda-exe/l302.exel: error while loading shared libraries: util.so: 
cannot open shared object file: No such file or directory
ntsnet: too many workers exited to continue
ntsnet: needed: 1, started: 1, died: 1

ldd shows that the link tries to use /opt/g98/util.so
[trinoga@icmaster ~]$ ldd /opt/g98/linda-exe/l302.exel
        util.so => /opt/g98/util.so (0x40013000)
        libm.so.6 => /lib/i686/libm.so.6 (0x43a2a000)
        libc.so.6 => /lib/i686/libc.so.6 (0x43a4c000)
        libpgc.so => /opt/pgi/linux86/lib/libpgc.so (0x43b7b000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)

The lib util.so is in the right place and redable:
[trinoga@icmaster ~]$ ls -l /opt/g98/util.so
-rwxr-xr-x    1 trinoga  stn       8691115 Dec 20 16:11 /opt/g98/util.so

Is there anybody with an idea ???

-- 
Rolf Trinoga
Max-Planck-Institut fuer Strahlenchemie
Stiftstr. 34-36
D-45470 Muelheim a.d. Ruhr
Germany
Tel.: +49(208)306-3558
[email-masked]
http://www.mpi-muelheim.mpg.de/mpistr-home.html